<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-akta-heading" data-cy="AktaCreateUpdateHeading">Create or edit a Akta</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_tglOrder">Tgl Order</label>
          <div class="input-group">
            <input
              id="field_tglOrder"
              data-cy="tglOrder"
              type="text"
              class="form-control"
              name="tglOrder"
              ngbDatepicker
              #tglOrderDp="ngbDatepicker"
              formControlName="tglOrder"
            />
            <button type="button" class="btn btn-secondary" (click)="tglOrderDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_orderType">Order Type</label>
          <input type="number" class="form-control" name="orderType" id="field_orderType" data-cy="orderType" formControlName="orderType" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kode">Kode</label>
          <input type="text" class="form-control" name="kode" id="field_kode" data-cy="kode" formControlName="kode" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nomor">Nomor</label>
          <input type="text" class="form-control" name="nomor" id="field_nomor" data-cy="nomor" formControlName="nomor" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tanggal">Tanggal</label>
          <input type="text" class="form-control" name="tanggal" id="field_tanggal" data-cy="tanggal" formControlName="tanggal" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pukulAwal">Pukul Awal</label>
          <div class="d-flex">
            <input
              id="field_pukulAwal"
              data-cy="pukulAwal"
              type="datetime-local"
              class="form-control"
              name="pukulAwal"
              formControlName="pukulAwal"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pukulAkhir">Pukul Akhir</label>
          <div class="d-flex">
            <input
              id="field_pukulAkhir"
              data-cy="pukulAkhir"
              type="datetime-local"
              class="form-control"
              name="pukulAkhir"
              formControlName="pukulAkhir"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_status">Status</label>
          <input type="number" class="form-control" name="status" id="field_status" data-cy="status" formControlName="status" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOn">Update On</label>
          <div class="d-flex">
            <input
              id="field_updateOn"
              data-cy="updateOn"
              type="datetime-local"
              class="form-control"
              name="updateOn"
              formControlName="updateOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_ppk">Ppk</label>
          <select class="form-control" id="field_ppk" data-cy="ppk" name="ppk" formControlName="ppk" [compareWith]="comparePpk">
            <option [ngValue]="null"></option>
            @for (ppkOption of ppksCollection; track $index) {
              <option [ngValue]="ppkOption">{{ ppkOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_notaris">Notaris</label>
          <select
            class="form-control"
            id="field_notaris"
            data-cy="notaris"
            name="notaris"
            formControlName="notaris"
            [compareWith]="compareNotaris"
          >
            <option [ngValue]="null"></option>
            @for (notarisOption of notarisesSharedCollection; track $index) {
              <option [ngValue]="notarisOption">{{ notarisOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_penerimaKuasa">Penerima Kuasa</label>
          <select
            class="form-control"
            id="field_penerimaKuasa"
            data-cy="penerimaKuasa"
            name="penerimaKuasa"
            formControlName="penerimaKuasa"
            [compareWith]="comparePenerimaKuasa"
          >
            <option [ngValue]="null"></option>
            @for (penerimaKuasaOption of penerimaKuasasSharedCollection; track $index) {
              <option [ngValue]="penerimaKuasaOption">{{ penerimaKuasaOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_saksiOne">Saksi One</label>
          <select
            class="form-control"
            id="field_saksiOne"
            data-cy="saksiOne"
            name="saksiOne"
            formControlName="saksiOne"
            [compareWith]="compareSaksi"
          >
            <option [ngValue]="null"></option>
            @for (saksiOption of saksisSharedCollection; track $index) {
              <option [ngValue]="saksiOption">{{ saksiOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_saksiTwo">Saksi Two</label>
          <select
            class="form-control"
            id="field_saksiTwo"
            data-cy="saksiTwo"
            name="saksiTwo"
            formControlName="saksiTwo"
            [compareWith]="compareSaksi"
          >
            <option [ngValue]="null"></option>
            @for (saksiOption of saksisSharedCollection; track $index) {
              <option [ngValue]="saksiOption">{{ saksiOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_cabang">Cabang</label>
          <select
            class="form-control"
            id="field_cabang"
            data-cy="cabang"
            name="cabang"
            formControlName="cabang"
            [compareWith]="compareCabang"
          >
            <option [ngValue]="null"></option>
            @for (cabangOption of cabangsSharedCollection; track $index) {
              <option [ngValue]="cabangOption">{{ cabangOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_skSubtitusi">Sk Subtitusi</label>
          <select
            class="form-control"
            id="field_skSubtitusi"
            data-cy="skSubtitusi"
            name="skSubtitusi"
            formControlName="skSubtitusi"
            [compareWith]="compareSkSubtitusi"
          >
            <option [ngValue]="null"></option>
            @for (skSubtitusiOption of skSubtitusisSharedCollection; track $index) {
              <option [ngValue]="skSubtitusiOption">{{ skSubtitusiOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
